%global pypi_name gpiozero

Name:           python-%{pypi_name}
Version:        1.4.1
Release:        1%{?dist}
Summary:        Interface to GPIO on Raspberry Pi

License:        BSD
URL:            https://github.com/RPi-Distro/python-gpiozero
Source0:        %pypi_source
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A simple interface to GPIO devices with Raspberry Pi.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(setuptools)
Recommends:     python3dist(pigpio)

%description -n python3-%{pypi_name}
A simple interface to GPIO devices with Raspberry Pi.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

#check
#{__python3} setup.py test
# this is not testable without RPi

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/pinout
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/gpiozerocli/
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Tue Aug 14 2018 Miro Hrončok <mhroncok@redhat.com> - 1.4.1-1
- Initial package
